Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DPTTS2

    java.lang.Object
      org.netlib.lapack.DPTTS2

    public class DPTTS2

extends java.lang.Object

    DPTTS2 is a simplified interface to the JLAPACK routine dptts2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPTTS2 solves a tridiagonal system of the form
     *     A * X = B
     *  using the L*D*L' factorization of A computed by DPTTRF.  D is a
     *  diagonal matrix specified in the vector D, L is a unit bidiagonal
     *  matrix whose subdiagonal is specified in the vector E, and X and B
     *  are N by NRHS matrices.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the tridiagonal matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrix B.  NRHS >= 0.
     *
     *  D       (input) DOUBLE PRECISION array, dimension (N)
     *          The n diagonal elements of the diagonal matrix D from the
     *          L*D*L' factorization of A.
     *
     *  E       (input) DOUBLE PRECISION array, dimension (N-1)
     *          The (n-1) subdiagonal elements of the unit bidiagonal factor

     *          L from the L*D*L' factorization of A.  E can also be regarded
     *          as the superdiagonal of the unit bidiagonal factor U from the
     *          factorization A = U'*D*U.
     *
     *  B       (input/output) DOUBLE PRECISION array, dimension (LDB,NRHS)
     *          On entry, the right hand side vectors B for the system of
     *          linear equations.
     *          On exit, the solution vectors, X.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`DPTTS2()`

Method Summary
`static void` | `DPTTS2(int n, int nrhs, double[] d, double[] e, double[][] b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPTTS2

    public DPTTS2()

Method Detail

### DPTTS2

    public static void DPTTS2(int n,
                              int nrhs,
                              double[] d,
                              double[] e,
                              double[][] b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD